"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createLogger = void 0;
var createLogger = function (info) {
    var log = function (message) {
        info.project.projectService.logger.info("[ts-plugin-scss-modules] ".concat(message));
    };
    var error = function (error) {
        log("Failed ".concat(error.toString()));
        log("Stack trace: ".concat(error.stack));
    };
    return {
        log: log,
        error: error,
    };
};
exports.createLogger = createLogger;
